Skip to navigation

List payments

View as Markdown

Authentication

Authorizationstring
API Key authentication via header

Query parameters

pagedoubleOptionalDefaults to 1
Page number. Defaults to 1.
limitdoubleOptionalDefaults to 50
Rows per page. Defaults to 50.
filterstringOptional

Format: field:rule:value — comma-separated for multiple filters.

Fields: receivedAt (datetime): eq, neq, gt, gte, lt, lte status (string): eq, neq, like, nlike, in, nin, isnull, isnotnull type (string): eq, neq, like, nlike, in, nin, isnull, isnotnull (one of: MANUAL, STRIPE, TABS_PAY, RECONCILIATION, REFUND, CREDIT_MEMO_FROM_ERP) invoiceId (uuid): eq, neq, in, nin, isnull, isnotnull customerId (uuid): eq, neq, in, nin, isnull, isnotnull

Date-only values (YYYY-MM-DD) match the full UTC day.

Example: filter=receivedAt:gte:2026-01-01

Response

Get all Payments by filter
payloadobject
Response payload, will be empty when success is false
successboolean

Boolean with true=success, false=failure

messagestring

Plain-text description of the result

errorobjectOptional
json element with any error messages or warnings